%define pypi_name batinfo

Name:           python-batinfo
Version:        0.1.8
Release:        %mkrel 6
Group:          Development/Python
Summary:        A simple Python lib to retreive battery information

License:        LGPLv3
URL:            https://github.com/nicolargo/batinfo
Source0:        https://pypi.python.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
A simple Python lib to retreive battery information

%package -n     python3-%{pypi_name}
Group:          Development/Python
Summary:        A simple Python lib to retreive battery information
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description -n python3-%{pypi_name}
A simple Python3 lib to retreive battery information


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%{__python} setup.py install --skip-build --root %{buildroot}
rm %{buildroot}/usr/share/doc/batinfo/AUTHORS
rm %{buildroot}/usr/share/doc/batinfo/README.md


%files
%doc README.md AUTHORS
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%files -n python3-%{pypi_name}
%doc README.md AUTHORS
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.1.8-6.mga6
+ Revision: 970504
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 ovitters <ovitters> 0.1.8-5.mga6
+ Revision: 887109
- rebuild for new python3

* Wed Oct 15 2014 umeabot <umeabot> 0.1.8-4.mga5
+ Revision: 748089
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.8-3.mga5
+ Revision: 728103
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.8-2.mga5
+ Revision: 687900
- Mageia 5 Mass Rebuild

* Thu Jun 19 2014 philippem <philippem> 0.1.8-1.mga5
+ Revision: 638165
- imported package python-batinfo

